Bug 64607 - promise technologies tx2 ata raid controller driver does not work
promise technologies tx2 ata raid controller driver does not work
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-08 12:02 EDT by adler
Modified: 2008-08-01 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg log file (12.47 KB, text/plain)
2002-05-08 12:05 EDT, adler
no flags Details

  None (edit)
Description adler 2002-05-08 12:02:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
pdcraid fails to load

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.insmod ataraid
2.insmod pdcraid
3.watch insmod dump an error message
	

Actual Results:  Using /lib/modules/2.4.18-3smp/kernel/drivers/ide/pdcraid.o
/lib/modules/2.4.18-3smp/kernel/drivers/ide/pdcraid.o: init_module: No such device
Hint: insmod errors can be caused by incorrect module parameters, including
invalid IO or IRQ parameters


Additional info:

I had no problems loading the pdcraid module under redhat 7.2, after upgrading
to 7.3, I can no longer load the driver. No hardware configuration changes have
been made to my pc
Comment 1 adler 2002-05-08 12:05:37 EDT
Created attachment 56684 [details]
dmesg log file
Comment 2 adler 2002-05-08 12:08:13 EDT
I've attached the dmesg output and you can see embedded in it that the promise
hardware is found when the kernel does the ide controller search and finds my 2
160gig maxtor drives hde and hdg, but the last entry is the message from the
pdcraid module complaining that it can't find the controller.

Good luck guys! I'll be glad to preform any tests to help you figure this one out.

Comment 3 Warren Togami 2002-06-05 06:53:07 EDT
Does this problem still exist for you in the Errata 2.4.18-4smp kernel?
Comment 4 Bugzilla owner 2004-09-30 11:39:34 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.